import { Point, Node, Direction, AnchorMode } from '@topology/core'

export function flowAndAnchor(node: Node) {
    node.anchors.push(new Point(node.rect.x, node.rect.y + node.rect.height / 2, Direction.Left));
    node.anchors.push(new Point(node.rect.x + node.rect.width, node.rect.y + node.rect.height / 3, Direction.Right));
    node.anchors.push(new Point(node.rect.x + node.rect.width, node.rect.y + node.rect.height * 2 / 3, Direction.Right));
    node.anchors[0].mode = AnchorMode.In;
    node.anchors[1].mode = AnchorMode.Out;
    node.anchors[2].mode = AnchorMode.Out;
}