import { Node } from '@topology/core'

export function flowAnd(ctx: CanvasRenderingContext2D, node: Node) {
    //边框
    ctx.beginPath();
    ctx.moveTo(node.rect.x, node.rect.y);
    ctx.lineTo(node.rect.x + node.rect.width, node.rect.y);
    ctx.lineTo(node.rect.x + node.rect.width, node.rect.y + node.rect.height);
    ctx.lineTo(node.rect.x, node.rect.y + node.rect.height);
    ctx.closePath();
    ctx.stroke();
    //文字
    ctx.fillStyle = '#000000';
    const and_text_width = ctx.measureText('AND').width;
    ctx.fillText('AND', node.rect.x + node.rect.width / 2 - and_text_width / 2, node.rect.y + node.rect.height / 2 + 3);
    ctx.fillText('1', node.rect.x + node.rect.width - 12, node.rect.y + node.rect.height / 3 + 4);
    ctx.fillText('0', node.rect.x + node.rect.width - 12, node.rect.y + node.rect.height * 2 / 3 + 4);
}